/************************************************************
Copyright (C) 2004  Masahiko SAWAI 
************************************************************/


dnl  Process this file with autoconf to produce a configure script.
AC_INIT(README)

AC_SUBST(PACKAGE)
PACKAGE=gl4gcj

AC_SUBST(VERSION)
MAJOR_VERSION=0
MINOR_VERSION=0
MICRO_VERSION=1
VERSION=$MAJOR_VERSION.$MINOR_VERSION.$MICRO_VERSION


dnl  Checks for programs.
AC_PROG_CXX
AC_PROG_RANLIB
AC_PROG_INSTALL
AC_CHECK_PROG([GCJ], [gcj], [gcj])
AC_CHECK_PROG([GCJH], [gcjh], [gcjh])
AC_CHECK_PROG([JAR], [jar], [jar])

AC_CANONICAL_SYSTEM

dnl AC_CONFIG_HEADER(config.h)


dnl ############################################################
dnl initialize variable
dnl ############################################################

AC_SUBST(GCJFLAGS)
GCJFLAGS=""

CFLAGS=" -Wall"
LIBS=


dnl The alpha architecture needs special flags for binary portability
case "$target" in
	alpha*-*-linux*)
		CFLAGS="$CFLAGS -mcpu=ev4 -Wa,-mall"
		;;
	*-*-beos*)
		ac_default_prefix=/boot/develop/tools/gnupro
		;;
	*-*-cygwin* | *-*-mingw32*)
		if test "$build" != "$target"; then # cross-compiling
			ac_default_prefix=/usr/local/cross-tools/i386-mingw32msvc
		fi
		;;
esac

case "$target" in
	*-*-mingw32*)
		LIBS="$LIBS -lopengl32"
		;;
	*-*-cygwin*)
		CFLAGS="$CFLAGS -I/usr/include"
		GCJFLAGS="$GCJFLAGS -mno-cygwin"
		LIBS="$LIBS -lopengl32"
		;;
	*)
		LIBS="$LIBS -lGL"
		;;
esac

dnl ############################################################
dnl Checks for header files.
dnl ############################################################
AC_HEADER_STDC

dnl ############################################################
dnl Checks for libraries.
dnl ############################################################


dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST

dnl ############################################################
dnl Set debug & optimize options in $CFLAGS and $OPT_FLAGS
dnl ############################################################
AC_ARG_ENABLE(debug,
	[  --enable-debug          include debugging code],
	[ enable_debug=$enableval ],
	[ enable_debug=no])


AC_SUBST(OPT_FLAGS)
AC_SUBST(STRIP_PROGRAM)
if test "$enable_debug" = yes; then
	OPT_FLAGS=""
	STRIP_PROGRAM="touch"
	CFLAGS="$CFLAGS -g "
else
	OPT_FLAGS="-O2"
	STRIP_PROGRAM="strip"
	CFLAGS="$CFLAGS -DNDEBUG "
fi


dnl ############################################################
dnl Search screensaver configuration files.
dnl ############################################################

AC_OUTPUT( Makefile src/Makefile src/Makefile.gl4gcj src/Makefile.glut4gcj gl4gcj.spec )

